+ Post New Thread
Page 3 of 514 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 12842

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 33,161
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 47,478
    18th Sep 2006 10:46 pm Go to last post
  1. Out of my Depth - ObjectDBX and Page Setups

    This might be best achieved in .NET but I will put it out there in any case. Deleting superfluous page setups and importing or setting a named page setup across multiple drawings through...

    Started by abra-CAD-abra‎, 18th Mar 2015 09:18 pm
    • Replies: 3
    • Views: 269
    21st Mar 2015 04:11 pm Go to last post
  2. Unhappy Lot numbering lisp need help!

    I have a lisp file the inserts lot numbers in ascending order. My problem is that this lisp is not applicable in numbering sublots, because for sublots, lot numbering will be alphabetical. For...

    Started by makimaki‎, 9th Mar 2015 04:34 am
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 813
    21st Mar 2015 05:36 am Go to last post
  3. Insert circles at each corner/intersection. Need help.

    can someone help me with a lisp routine that inserts circles at every intersection of a polyline/series of line including its endpoint. thank you very much in advance. :)

    Started by general marko‎, 18th Mar 2015 05:51 am
    2 Pages
    1 2
    • Replies: 19
    • Views: 546
    21st Mar 2015 04:50 am Go to last post
  4. Giving a z factor elevation to a polyline

    I need help of a lisp program that will change the z factor elevation. also a lisp that will add them incramentally

    Started by jtrooper‎, 19th Mar 2015 10:46 pm
    • Replies: 3
    • Views: 230
    21st Mar 2015 04:45 am Go to last post
  5. [LISP] Select the direction of the LWPOLYLINE.

    Hi. I choose the LWPOLYLINE using a ENTSEL function. Using code. (setq cor (vlax-get (vlax-ename->vla-object (car (entsel))) 'coordinates)) Always get. '(1x 1y 2x 2y 3x 3y ...) How to get a...

    Started by Kowal‎, 19th Mar 2015 06:23 pm
    • Replies: 7
    • Views: 295
    21st Mar 2015 12:44 am Go to last post
  6. How to control number of digits

    Hi, In an acad_table I have to put an: angle_value + degree sign the angle value is a real number with 0 or 1 decimal digit. How can I get: if the real number has 1 digit, (strcat (rtos ...

    Started by gschmidt‎, 20th Mar 2015 02:15 pm
    • Replies: 7
    • Views: 218
    20th Mar 2015 02:42 pm Go to last post
  7. ACad2k - how to use pljoin in lisp?

    Hello. AutoCAD 2000 has a command pljoin that basically does the same thing as pedit -> join It works fine when typed in command line. When I try execute it in lisp with: (command ("pljoin"...

    Started by vanowm‎, 19th Mar 2015 06:30 am
    • Replies: 9
    • Views: 385
    20th Mar 2015 01:22 pm Go to last post
  8. Autocad Lisp to remove Extension Lines & Arrows

    Hello I found a lisp to remove extension line of dimension, is it possible to remove also the arrow? I found the variable DIMBLK1 or DIMBLK2 but I doesnt found the way to add that on the lisp. Can...

    Started by francine2013‎, 27th Feb 2015 04:25 pm
    • Replies: 3
    • Views: 501
    20th Mar 2015 09:27 am Go to last post
  9. Any LISP or quick method to "copy" all layers from 100+ drawings to a single drawing?

    Any LISP or quick method to "copy" all layers from 100+ drawings to a single drawing? Not necessary to have any block or enity in that single drawing. Just purely layers only Thanks

    Started by vernonlee‎, 18th Mar 2015 01:14 am
    • Replies: 7
    • Views: 297
    20th Mar 2015 06:52 am Go to last post
  10. How to add a single boundary outline around multiple hatches.

    Hi Guys, I'm currently working on a large scale map. The map I've purchased contains building areas as hatching but no boundary outline (to my shock). The map is laid out in tiles which has meant...

    Started by Holybod‎, 17th Mar 2015 05:55 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 681
    19th Mar 2015 03:40 pm Go to last post
  11. Question from layer 0 to new layer based on color

    i've been searching, but i haven't had any luck. Does anyone know a routine that will move objects to a new layer based on their color? i have a drawing where everything was drawn on layer 0 and...

    Started by therealjd‎, 18th Mar 2015 07:35 pm
    • Replies: 6
    • Views: 261
    19th Mar 2015 03:38 pm Go to last post
  12. Lisp to Change to all Dimension Styles in one go and accross multiple files

    Hi, I am looking for a lisp code that can execute 3 changes to variable in all the dimension styles namely: 1. Dimension Lines - Color set to 52 2. Extension Lines - Color set to 52 3. Text...

    Started by nicolas‎, 9th May 2012 01:31 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 4,272
    19th Mar 2015 09:37 am Go to last post
  13. drawing line according to polyline length

    hello, is there a way to draw lines connected to each other in one straight line. which would be drawn from the lengths of segments between intersection of polyline ? i attached the situation.jpg...

    Started by justas‎, 28th May 2014 03:45 pm
    • Replies: 9
    • Views: 713
    19th Mar 2015 02:44 am Go to last post
  14. Check if GetString Exist

    Hi, I want to create a Table on a certain Layout chosen by user With a getstring I get the user input. How can I loop through the layouts and if the Layout (name) not exist, get a new user...

    Started by gschmidt‎, 17th Mar 2015 04:45 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 335
    18th Mar 2015 08:00 pm Go to last post
  15. Extracting the coordinates from a rectangle in modelspace

    Hey guys, I'm trying to get the four corners of a rectangle in modelspace set to variables and I'm having a hard time with it. I'm able to get the four corners into a list, but I'm having a...

    Started by chiimayred‎, 18th Mar 2015 03:00 pm
    autolisp, coordinates, polyline, rectangle
    • Replies: 3
    • Views: 189
    18th Mar 2015 04:00 pm Go to last post
  16. Lisp for filtering certain blocks and delete them

    I am looking for a lisp file that can do following: After giving command "fildel" it should scan the drawing for blocks of a certain name ie. "titleblock". When it has done so it should prompt...

    Started by MarcoW‎, 19th Jun 2009 02:15 pm
    6 Pages
    1 2 3 ... 6
    • Replies: 52
    • Views: 8,865
    18th Mar 2015 03:37 pm Go to last post
  17. Conditional Lisp call to insert data based on user input

    Am I missing something here? I have an original code that I would want to make it user choice based, but it seems it does not work as intended when conditions are used. So original code is as: ...

    Started by ishka‎, 17th Mar 2015 06:48 pm
    • Replies: 4
    • Views: 209
    18th Mar 2015 01:24 pm Go to last post
  18. Exclamation Help with rectangle lisp

    I am trying to write a lisp to draw rectangle from center point I use this lisp for giving the scale to all my lisp codes ( DEFUN C:SETSC () (COMMAND "_PDMODE" "32"); point style (COMMAND...

    Started by prodromosm‎, 17th Mar 2015 12:42 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 386
    18th Mar 2015 01:24 pm Go to last post
  19. Embarrassed searching for a lisp

    Hi. I don't know how to explain what i am looking for.Please look the *.dwg file i have intstractions there. Thanks

    Started by prodromosm‎, 14th Mar 2015 06:26 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 524
    18th Mar 2015 11:24 am Go to last post
  20. Measuring objects and lengths of lines within an enclosed polyline

    Hi all, My name is George and I am new to this forum. My Autocad knoweldge is limited and I need your help. I have a road project and I need to measure services along the length of the road. The...

    Started by george_st‎, 17th Mar 2015 06:14 am
    • Replies: 1
    • Views: 235
    18th Mar 2015 04:19 am Go to last post
  21. Lisp for rectangle

    Dear All, I need a lisp to draw a Rectangle with in the 3 following inputs. These are the inputs, 1.First center point of Rectangle. 2.Second center point of Rectangle. 3.Width of Rectangle. ...

    Started by RRS1987‎, 13th Oct 2011 10:44 am
    5 Pages
    1 2 3 ... 5
    • Replies: 44
    • Views: 8,263
    17th Mar 2015 11:23 pm Go to last post
  22. getpoint Doesn't Stop for User Input

    I have a program I've been working on since early January. I've moved the "C:defun" exposing all the subroutines. Here's the first few lines of a sub: (Sorry if I break any etiquette, and sorry...

    Started by Quest for Peace‎, 17th Mar 2015 08:26 pm
    • Replies: 0
    • Views: 141
    17th Mar 2015 08:26 pm Go to last post
  23. save each layer in a separate file

    Hi all, I'm looking for an automatic way to split a .dwg containing many layers to many .dwg containing only one layer (each layer should be saved separately in a new file using layer name for the...

    Started by x.bonnet‎, 23rd Nov 2006 10:49 am
    5 Pages
    1 2 3 ... 5
    • Replies: 46
    • Views: 14,821
    17th Mar 2015 10:21 am Go to last post
  24. Wink Import coordinates from a text file txt (sdr csv) in AutoCAD

    File. You can load a file with the extension txt, sdr and csv Delimiter. Choosing which is the delimiter data available at expansion halyard txt. Row selection. If you tick the checkbox, you will...

    Started by Geobuilder‎, 14th Sep 2012 04:13 am
    5 Pages
    1 2 3 ... 5
    • Replies: 47
    • Views: 18,045
    17th Mar 2015 08:38 am Go to last post
  25. Check if block exist

    Hi, I am creating a LISP code which creates BLOCKS with ENTMAKE, but i'm stuck. How do I get this code efficient?: If the Block not exists: Create it with Name X-1 And If the the Block exist...

    Started by gschmidt‎, 16th Mar 2015 08:26 pm
    • Replies: 4
    • Views: 188
    16th Mar 2015 09:51 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts